Subject: Re: bug#38057: (shell-command "alias" "bash-aliases" "bash-errors") - Shell command succeeded with no output

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 Nov 2019 18:17:58 +0200

> From: arthur miller <[email-masked]>
> Date: Mon, 4 Nov 2019 11:52:38 +0000
> 
> When I run 'alias' (a bash command) from within elisp I don't get list of aliases. It used to work fine, but in my
> latest build from git as of 2019-11-04 (4th november) it does not. Maybe it stopped to work earlier, I don't
> know, I was reworking my init file, so I didn't had it in for like a month or so, anyway, when I test it today I don't
> get the 'alias' command to work at all. It works from ansi-term, but not interactively or from an elisp script.
> 
> I get message that shell command succeeds without any output. The line (shell-command "alias"
> "bash-aliases" "bash-errors") is part of a little script I posted on Emacs Wiki earlier this year
> https://www.emacswiki.org/emacs/EshellAlias.
> 
> Is it a bug or do I something wrong? I am sorry, I am not an expert on Emacs, so I am a bit unsure.

Does the following discussion help to understand the issue?

  https://stackoverflow.com/questions/1615877/why-aliases-in-a-non-interactive-bash-shell-do-not-work